component:
  - audit
framework: beakerlib
require:
  - url: https://gitlab.cee.redhat.com/special-projects/tests/audit
    name: /Library/testing
    type: library
  - audit
adjust:
  - enabled: false
    when: distro < rhel-7
    continue: false
  - enabled: false
    when: distro == rhel-9
    continue: false
contact:
  - Ondrej Moris <omoris@redhat.com>
description: |
    Bug summary: audit: auditd calling audit_log_start causes hang
    Bugzilla link: https://bugzilla.redhat.com/show_bug.cgi?id=1019898
duration: 5m
enabled: true
extra-nitrate: TC#0407999
extra-summary: 
    /CoreOS/audit/Regression/bz1019898-audit-auditd-calling-audit-log-start-causes-hang
extra-task: 
    /CoreOS/audit/Regression/bz1019898-audit-auditd-calling-audit-log-start-causes-hang
link:
  - relates: https://bugzilla.redhat.com/show_bug.cgi?id=1019898
  - relates: https://bugzilla.redhat.com/show_bug.cgi?id=1997129
  - relates: https://bugzilla.redhat.com/show_bug.cgi?id=1019895
recommend:
  - audit
summary: Test for BZ#1019898 (audit auditd calling audit_log_start causes hang)
tag:
  - TIPpass_Security
  - Tier3
  - Tier3security
  - fedora-wanted
test: ./runtest.sh
tier: '3'
name: /Regression/bz1019898-audit-auditd-calling-audit-log-start-causes-hang
order: 50
id:
path: /Regression/bz1019898-audit-auditd-calling-audit-log-start-causes-hang
manual: false
tty: false
environment: {}
result: respect
where:
check: []
restart-on-exit-code: []
restart-max-count: 1
restart-with-reboot: false
sources:
  - /var/tmp/tmt/run-017/Plans/general/discover/Downstream_audit_tests/tests/main.fmf
  - /var/tmp/tmt/run-017/Plans/general/discover/Downstream_audit_tests/tests/Regression/bz1019898-audit-auditd-calling-audit-log-start-causes-hang/main.fmf
context: {}
